Page MenuHomePhabricator

Hackathon presents Graphs! Visualize maps and data graphs live on Wikipedia
Closed, ResolvedPublic

Description

Thanks to many great contributors, we are proud to present the Graphs... because wiki pages with SVG and PNG images is so last century. Graph extension allows content authors to insert a data-defined graph or a map in a wiki page. Graph is described using Vega visualization grammar ( demo), and allows very complex data transformations, filtering, and soon even animation & interactivity. Combine that with the power of wiki template parameters and Lua scripting, and the results could be stellar. Up to you really. Vega+d3 gives us a huge list of charting options and maps with numerous projections and ability to highlight individual regions. Lastly, graphs could be rendered either in a browser (more interactivity), or on the server (faster load). Demo will be served.

Special thanks goes to milimetric, krinkle, Brion, and gwicke, without whose help this project would have been a lot harder, and to Vega and other open source teams who build such great libraries.

Event Timeline

Yurik created this task.Feb 27 2015, 8:50 AM
Yurik updated the task description. (Show Details)
Yurik raised the priority of this task from to Needs Triage.
Yurik added a subscriber: Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 8:50 AM

@Yurik: Please associate projects when creating tasks.

Qgil added a subscriber: Qgil.
Yurik added a comment.Mar 4 2015, 12:48 PM

@Aklapper - that's why i wrote "need (misspelled as "nod" proper project) :)

Yurik updated the task description. (Show Details)Mar 4 2015, 12:53 PM
Yurik set Security to None.
Tarrow added a subscriber: Tarrow.Mar 29 2015, 5:13 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Qgil added a comment.May 7 2015, 2:05 PM

Are you still planning to run this session? If so, we need to know how much time you need, roughly how many participants you expect, and any other requirements/requests that you might have.

Yurik added a comment.May 7 2015, 2:27 PM

Absolutely, I just launched it into production, and will be showing it ))
No idea how many people, I have had a very positive response in the mailing
list

Yurik triaged this task as Normal priority.May 12 2015, 9:42 AM
Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Qgil closed this task as Resolved.May 24 2015, 7:50 PM
Qgil claimed this task.
Yurik reopened this task as Open.Jul 16 2015, 12:40 PM

What is the status of this task, now that Wikimania 2015 is over? As this task is in the "Backlog" column of the #Wikimania-Hackathon-2015 project's workboard: Did this task take place and was successfully finished? If yes: Please provide an update (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Qgil reassigned this task from Qgil to Yurik.Jul 29 2015, 12:48 PM
Qgil closed this task as Resolved.Sep 16 2015, 10:08 AM